
Audacious - Bug #812

Buffer overflow detected.

July 30, 2018 09:35 - Ali Cherif Med Fawzi

Status: Rejected Start date: July 30, 2018

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.9   

Description

Failure to start with the message * buffer overflow detected *,

Only change from last working state was adding song(s) to playlist(s) before poweroff,

so I tried cleaning .config/audacious/playlists/ and it worked.

rookie mistake : didn't backup the playlist files :(

- the following deps libcue,libfluidsynth,libsidplayfp,libwavpack

were missing on my system at the time (Arch distribution).

- the stack trace provided is the last before succesful start,

after the missing libs mentioned were installed.

History

#1 - July 30, 2018 15:01 - John Lindgren

Please install debug symbols for audacious and audacious-plugins, then regenerate the backtrace.

#2 - July 30, 2018 18:08 - Thomas Lange

- Affects version 3.9 added

- Affects version deleted (3.9.1)

Since you use Arch, this how-to may be useful:

https://wiki.archlinux.org/index.php/Debug_-_Getting_Traces

#3 - July 31, 2018 08:09 - Ali Cherif Med Fawzi

I can't reproduce the bug.

#4 - July 31, 2018 15:09 - John Lindgren

- Status changed from New to Rejected

Closing then.
